Bug 664414 - debuginfo file conflicts
Summary: debuginfo file conflicts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 694496
TreeView+ depends on / blocked
 
Reported: 2010-12-20 11:15 UTC by Ralf Corsepius
Modified: 2012-08-16 19:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:50:57 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-20 11:15:30 UTC
Description of problem:

# debuginfo-install perl perl-threads
...
Transaction Check Error:
  file /usr/lib/debug/usr/lib64/perl5/auto/threads/threads.so.debug from install of perl-threads-debuginfo-1.81-1.fc14.x86_64 conflicts with file from package perl-debuginfo-4:5.12.2-140.fc14.x86_64
Version-Release number of selected component (if applicable):


How reproducible:
Deterministic

Steps to Reproduce:
1. debuginfo-install perl perl-threads

Actual results:
c.f. above.

Expected results:
Function.

Additional info:
No idea whom to blame for this and who should take action.

As things appear to me, rpm+yum don't correctly handle the debuginfos originating from perl's dual-lived modules.

Comment 1 Petr Pisar 2010-12-20 13:39:10 UTC
Damned rpmbuild. It pushes debug data for all subpackages into one package.

We need to teach rpmbuild to create separate debuginfo subpackages, or to remove superseded subpackages to clean perl-debuginfo.

Comment 2 Matt McCutchen 2011-06-02 18:11:45 UTC
(In reply to comment #1)
> Damned rpmbuild. It pushes debug data for all subpackages into one package.

That is bug 185590.

Comment 3 Fedora End Of Life 2012-08-16 19:51:01 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.